> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aiinbx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get domain by ID

> Retrieve a domain by its ID



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/ai-inbx/openapi.documented.yml get /domains/{domainId}
openapi: 3.1.0
info:
  title: AI Inbx API
  description: Email infrastructure API for AI agents and applications
  version: 1.0.0
servers:
  - url: https://api.aiinbx.com/api/v1
security: []
tags:
  - name: Emails
  - name: Threads
paths:
  /domains/{domainId}:
    get:
      tags:
        - Domains
      summary: Get domain by ID
      description: Retrieve a domain by its ID
      operationId: getDomain
      parameters:
        - in: path
          name: domainId
          description: The unique identifier of the domain
          schema:
            type: string
            description: The unique identifier of the domain
          required: true
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  createdAt:
                    type: string
                  updatedAt:
                    type: string
                  domain:
                    type: string
                  verifiedAt:
                    type: string
                    nullable: true
                  status:
                    type: string
                    enum:
                      - VERIFIED
                      - PENDING_VERIFICATION
                      - NOT_REGISTERED
                  isManagedDefault:
                    type: boolean
                  dnsRecords:
                    type: array
                    nullable: true
                    items:
                      type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - TXT
                            - CNAME
                            - MX
                        name:
                          type: string
                        value:
                          type: string
                        priority:
                          type: number
                        isVerified:
                          type: boolean
                        verificationStatus:
                          type: string
                          enum:
                            - verified
                            - missing
                            - pending
                        lastCheckedAt:
                          type: string
                      required:
                        - type
                        - name
                        - value
                required:
                  - id
                  - createdAt
                  - updatedAt
                  - domain
                  - verifiedAt
                  - status
                  - isManagedDefault
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - BearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import AIInbx from 'aiinbx';

            const client = new AIInbx({
              apiKey: process.env['AI_INBX_API_KEY'], // This is the default and can be omitted
            });

            const domain = await client.domains.retrieve('domainId');

            console.log(domain.id);
        - lang: Python
          source: |-
            import os
            from aiinbx import AIInbx

            client = AIInbx(
                api_key=os.environ.get("AI_INBX_API_KEY"),  # This is the default and can be omitted
            )
            domain = client.domains.retrieve(
                "domainId",
            )
            print(domain.id)
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Not found error (404)
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API Key authentication using Bearer token

````